/*
 * Class EV_SHARED_TRANSPORT_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_442 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_442 [] = {0xFF01,1551,441,0xFFFF};
static const EIF_TYPE_INDEX egt_2_442 [] = {0xFF01,441,0xFFFF};
static const EIF_TYPE_INDEX egt_3_442 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_442 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_442 [] = {0xFF01,441,0xFFFF};
static const EIF_TYPE_INDEX egt_6_442 [] = {0xFF01,441,0xFFFF};
static const EIF_TYPE_INDEX egt_7_442 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_442 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_442 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_442 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_442 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_442 [] = {0xFF01,441,0xFFFF};
static const EIF_TYPE_INDEX egt_13_442 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_14_442 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_15_442 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_16_442 [] = {0xFF01,74,0xFFFF};
static const EIF_TYPE_INDEX egt_17_442 [] = {0xFF01,1670,869,0xFFFF};
static const EIF_TYPE_INDEX egt_18_442 [] = {0xFF01,1030,0xFFFF};
static const EIF_TYPE_INDEX egt_19_442 [] = {0xFF01,1201,0xFFFF};
static const EIF_TYPE_INDEX egt_20_442 [] = {0xFF01,1087,0xFFFF};
static const EIF_TYPE_INDEX egt_21_442 [] = {0xFF01,1249,0xFFFF};
static const EIF_TYPE_INDEX egt_22_442 [] = {0xFF01,996,0xFFFF};


static const struct desc_info desc_442[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_442), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_442), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_442), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_442), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_442), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_442), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_442), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_442), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_442), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_442), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_442), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_442), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0373 /*441*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_442), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_442), 7561, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_442), 7562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7563, 12},
	{EIF_GENERIC(egt_15_442), 7564, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_442), 7565, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x090F /*1159*/), 7566, 0},
	{EIF_NON_GENERIC(0x090F /*1159*/), 7567, 4},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7568, 14},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7549, 16},
	{EIF_GENERIC(egt_17_442), 7550, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_442), 7551, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_442), 7552, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7553, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_442), 7554, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_442), 7555, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7556, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0827 /*1043*/), 7557, 8},
	{EIF_GENERIC(egt_22_442), 7558, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7559, 18},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7560, 20},
};
void Init442(void)
{
	IDSC(desc_442, 0, 441);
	IDSC(desc_442 + 1, 1, 441);
	IDSC(desc_442 + 32, 292, 441);
}


#ifdef __cplusplus
}
#endif
